package com.iformall.domain.vo;

import java.io.Serializable;
import java.text.DecimalFormat;
/**
 * 交易记录核销记录Vo
 * @author jinguo
 *
 */

import com.iformall.domain.po.WxDateAmountRecord;
public class AmountRecordVo implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4494858079134918638L;
	//核销金额记录
	private WxDateAmountRecord amountDetail;
	
	private Integer amount;
	
	private String amountStr;

	private String mouthAndDate;

	public String getAmountStr() {
		if(amount!=null) {
			DecimalFormat df=new DecimalFormat("0.00");
			amountStr = df.format((float)amount/100);
		}
		return amountStr;
	}

	public void setMouthAndDate(String mouthAndDate) {
		this.mouthAndDate = mouthAndDate;
	}

	public String getMouthAndDate() {return mouthAndDate;}

	public void setAmountStr(String amountStr) {
		this.amountStr = amountStr;
	}


	public Integer getAmount() {
		return amount;
	}

	public void setAmount(Integer amount) {this.amount = amount;}

	public WxDateAmountRecord getAmountDetail() {
		return amountDetail;
	}

	public void setAmountDetail(WxDateAmountRecord amountDetail) {
		this.amountDetail = amountDetail;
	}



}
